taninv
Prev | Orchestra Opcodes and Operators | Next

## taninv

taninv — Performs an arctangent function.

## Description

Returns the arctangent of x (x in radians).

## Syntax

    taninv(x) (no rate restriction)

## Examples

Here is an example of the taninv opcode. It uses the file taninv.csd.

Example 501. Example of the taninv opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o taninv.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 0.5
      i1 = taninv(irad)

      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include a line like this:

    instr 1:  i1 = 0.464

## See Also

cos, cosh, cosinv, sin, sinh, sininv, tan, tanh, taninv2

## Credits

Author: John ffitch

New in version 3.48

Example written by Kevin Conder.

Prev | Up | Next
tanh | Home | taninv2